apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  name: fuseki-build-and-push-plr
  generateName: fuseki-build-and-push-plr-
spec:
  serviceAccountName: pipeline
  workspaces:
    - name: shared-workspace
      volumeClaimTemplate:
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: 500Mi
    - name: dummy-workspace
      emptyDir: {}
  pipelineRef:
    name: solid-build-and-push
  params:
    - name: git-url
      value: git@gitlab.com:arbetsformedlingen/individdata/oak/rdf-delta.git
    - name: git-revision
      value: tekton-test
    - name: IMAGE
      value: image-registry.openshift-image-registry.svc:5000/ipo-dev/rdf-fuseki-server:latest
    - name: DEST_IMAGE
      value: docker-images.jobtechdev.se/ipo-dev/rdf-fuseki-server:latest
    - name: git-dockerfile
      value: ./fuseki/